PDA

View Full Version : [CLOSED] Ext 1.0 and 2.0



majunior
Apr 20, 2012, 1:15 PM
I have version 1.0 stable, and would like to use the graphics of version 2.0 is possible?

geoffrey.mcgill
Apr 20, 2012, 5:37 PM
Hi,

Unfortunately it is not possible to use both Ext.NET v1.x and v2.x Assemblies in the same project.

Daniil
Apr 20, 2012, 5:43 PM
Hi,

Unfortunately, it's impossible to use Ext.NET v1 and Ext.NET v2 dlls in the same application.

But you can:

1. Load IFrames with pages of an originating application. You will need to set up Ext.NET v2 resources (JavaScript, CSS) manually on this pages. In this case you will be able to create Charts via JavaScript, no Ext.NET v2 server controls.

or

2. Load IFrames with pages of a separate application. You will need to deploy that separate application (with Charts) on the same server as an originating one on another port or sub-domain.

In this case you will be able to use Ext.NET v2 server controls.

But there will be additional difficulty with the interaction between cross-domain pages. This article can help.
http://madskristensen.net/post/Iframe-cross-domain-JavaScript-calls.aspx

Daniil
Apr 26, 2012, 7:59 PM
Here is the approach how you can use ExtJS 4 with ExtJS 3 on the same page.
http://forums.ext.net/showthread.php?18655&p=80533&viewfull=1#post80533